\begin{luacode}
	dofile("macros.lua")
\end{luacode}

\newcommand{\juliaBlockToConsole}[1]{\luaexec{
	tex.sprint('\\begin{juliablock}#1\\end{juliablock}')
	tex.sprint('\\begin{juliaconcode}#1\\end{juliaconcode}')
}}

\newcommand\lua[1]{\luaexec{#1}}
	
\newcommand{\codeSnippet}[2]{\luaexec{read_as_snippet('#1', '#2')}}